## python-mp-api 0.27.5

=== requirements.txt ===
emmet-core[all]==0.36.4
pydantic>=1.8.2
pymatgen>=2022.3.7
pymatgen-analysis-alloys>=0.0.3
typing-extensions==4.1.1
requests==2.27.1
monty==2022.3.12
mpcontribs-client>=4.2.9
custodian
boto3
msgpack

=== debian/changelog ===
python-mp-api (0.27.5-2) unstable; urgency=medium

  * source upload for migration to testing

 -- Drew Parsons <dparsons@debian.org>  Mon, 06 Feb 2023 16:57:08 +0100

python-mp-api (0.27.5-1) unstable; urgency=medium

  * Initial release. (Closes: #1030518)
  * skip network tests test_download_for_task_ids,
    test_get_phase_diagram_from_chemsy when building

 -- Drew Parsons <dparsons@debian.org>  Sat, 04 Feb 2023 16:26:54 +0100

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=mp-api

# internet is not available during debian builds
# so skip tests requiring network access
export PYBUILD_TEST_ARGS = -k "not ( test_download_for_task_ids or test_get_phase_diagram_from_chemsys )"

%:
	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: pytest-3 -k "not ( test_download_for_task_ids or test_get_phase_diagram_from_chemsys )"
Depends: @, @builddeps@

## python-mp-api 0.30.10

=== requirements.txt ===
emmet-core[all]==0.39.8
pydantic>=1.8.2
pymatgen>=2022.3.7
pymatgen-analysis-alloys>=0.0.3
typing-extensions==4.1.1
requests==2.27.1
monty==2022.3.12
mpcontribs-client>=5.0.10
custodian
boto3
msgpack

=== debian/changelog ===
python-mp-api (0.30.10-2) unstable; urgency=medium

  * update latest mp-api for debian stable release

 -- Drew Parsons <dparsons@debian.org>  Thu, 23 Feb 2023 16:55:53 +0100

python-mp-api (0.30.10-1) experimental; urgency=medium

  * New upstream release.
  * skip test_get_trajectories (requires connection to
    api.materialsproject.org)

 -- Drew Parsons <dparsons@debian.org>  Tue, 21 Feb 2023 20:25:55 +0100

=== debian/control ===
Source: python-mp-api
Section: python
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-setuptools-scm,
 python3-all,
 python3-msgpack,
 python3-pymatgen (>= 2022.3.7~),
 python3-typing-extensions (>= 3.7.4.1~),
 python3-requests (>=2.23.0~),
 python3-monty (>= 2021.3.12~),
 python3-emmet-core (>=0.36.4~),
 python3-boto3,
 python3-pytest <!nocheck>
Standards-Version: 4.6.2
Homepage: https://github.com/materialsproject/api
Vcs-Browser: https://salsa.debian.org/debichem-team/python-mp-api
Vcs-Git: https://salsa.debian.org/debichem-team/python-mp-api.git

Package: python3-mp-api
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Description: Materials Project API for Python
 The Materials Project API defines a standardized manner in which the
 Materials Project database can be accessed by its users. The API is
 typically used by scientific researchers who need to retrieve large
 amounts of data to support their research.
 .
 This package installs the library for Python 3.

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 # internet is not available during debian builds
 # so skip tests requiring network access
-export PYBUILD_TEST_ARGS = -k "not ( test_download_for_task_ids or test_get_phase_diagram_from_chemsys )"
+export PYBUILD_TEST_ARGS = -k "not ( test_download_for_task_ids or test_get_phase_diagram_from_chemsys or test_get_trajectories )"
 
 %:
 	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: pytest-3 -k "not ( test_download_for_task_ids or test_get_phase_diagram_from_chemsys or test_get_trajectories )"
Depends: @, @builddeps@

## python-mp-api 0.34.3

=== debian/changelog ===
python-mp-api (0.34.3-1) unstable; urgency=medium

  * New upstream release.
    - Build-Depends: python3-emmet-core (>=0.54.0~)
  * Skip all build-time tests, since they all require internet
    (via MPRester)
  * debian/tests Depends: python3-pytest, python3-pytest-asyncio

 -- Drew Parsons <dparsons@debian.org>  Sat, 19 Aug 2023 16:23:03 +0200

=== debian/control ===
--- 
+++ 
@@ -15,9 +15,8 @@
  python3-typing-extensions (>= 3.7.4.1~),
  python3-requests (>=2.23.0~),
  python3-monty (>= 2021.3.12~),
- python3-emmet-core (>=0.36.4~),
- python3-boto3,
- python3-pytest <!nocheck>
+ python3-emmet-core (>=0.54.0~),
+ python3-boto3
 Standards-Version: 4.6.2
 Homepage: https://github.com/materialsproject/api
 Vcs-Browser: https://salsa.debian.org/debichem-team/python-mp-api

=== debian/tests/control ===
Test-Command: pytest-3 -k "not ( test_download_for_task_ids or test_get_phase_diagram_from_chemsys or test_get_trajectories )"
Depends: @, @builddeps@,
 python3-pytest, python3-pytest-asyncio

## python-mp-api 0.43.0rc0

=== debian/changelog ===
python-mp-api (0.43.0rc0-1) unstable; urgency=medium

  [ Roland Mas ]
  * New upstream release.
  * Bug fix: "new release requires unpackaged maggma package", thanks to
    Drew Parsons (Closes: #1078531).

  [ Drew Parsons ]
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Thu, 07 Nov 2024 12:26:04 +0100

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-setuptools,
  python3-setuptools-scm,
  python3-all,
@@ -17,7 +18,7 @@
  python3-monty (>= 2021.3.12~),
  python3-emmet-core (>=0.54.0~),
  python3-boto3
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/materialsproject/api
 Vcs-Browser: https://salsa.debian.org/debichem-team/python-mp-api
 Vcs-Git: https://salsa.debian.org/debichem-team/python-mp-api.git
@@ -27,6 +28,8 @@
 Depends:
  ${python3:Depends},
  ${misc:Depends},
+ python3-maggma,
+ python3-pymongo,
 Description: Materials Project API for Python
  The Materials Project API defines a standardized manner in which the
  Materials Project database can be accessed by its users. The API is

## python-mp-api 0.45.3

=== debian/changelog ===
python-mp-api (0.45.3-5) unstable; urgency=medium

  * Team upload.
  * Add d/salsa-ci.yml
  * Patch-out generation of python3-pkg-resources dep. (Closes: #1083669)
  * Bump Standards-Version to 4.7.2
  * Drop "Rules-Requires-Root: no": it is the new default

 -- Alexandre Detiste <tchet@debian.org>  Fri, 26 Sep 2025 14:02:37 +0200

python-mp-api (0.45.3-4) unstable; urgency=medium

  * Team upload.
  * d/t/control: Mark skip-not-installable for all tests.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 17 Mar 2025 11:04:01 +0100

python-mp-api (0.45.3-3) unstable; urgency=medium

  * d/t/control: PASS(force) the tests on Debian-CI. This is related to
    the current access of our Debian-CI IP's to the upstream database.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 14 Mar 2025 11:53:30 +0100

python-mp-api (0.45.3-2) unstable; urgency=medium

  * Team upload
  * source only upload

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 13 Mar 2025 16:15:33 +0100

python-mp-api (0.45.3-1) unstable; urgency=medium

  * Team upload

  [ Roland Mas ]
  * Add myself to Uploaders.

  [ Picca Frédéric-Emmanuel ]
  * New upstream version 0.45.3

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 13 Mar 2025 14:50:07 +0100

=== debian/control ===
Source: python-mp-api
Section: python
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>, Roland Mas <lolando@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-boto3,
 python3-emmet-core (>=0.54.0~),
 python3-monty (>= 2021.3.12~),
 python3-msgpack,
 python3-pymatgen (>= 2022.3.7~),
 python3-requests (>=2.23.0~),
 python3-setuptools,
 python3-setuptools-scm,
 python3-typing-extensions (>= 3.7.4.1~),
Standards-Version: 4.7.2
Homepage: https://github.com/materialsproject/api
Vcs-Browser: https://salsa.debian.org/debichem-team/python-mp-api
Vcs-Git: https://salsa.debian.org/debichem-team/python-mp-api.git

Package: python3-mp-api
Architecture: all
Depends: python3-maggma, python3-pymongo, ${misc:Depends}, ${python3:Depends},
Description: Materials Project API for Python
 The Materials Project API defines a standardized manner in which the
 Materials Project database can be accessed by its users. The API is
 typically used by scientific researchers who need to retrieve large
 amounts of data to support their research.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=mp-api

%:
	dh $@ --buildsystem=pybuild

# internet is not available during debian builds so skip all tests
override_dh_auto_test:
	echo "Not running tests, since they require internet access (via MPRester)"

=== debian/tests/control ===
Test-Command: pytest-3 -k "not ( test_download_for_task_ids or test_get_phase_diagram_from_chemsys or test_get_trajectories )"
Depends: python3-pytest, python3-pytest-asyncio, @, @builddeps@,
Restrictions: allow-stderr, skip-not-installable, flaky, needs-internet

# fake test until we sort out the server access.
# test PASS on my comlputer but the Debian-CI IPs are blacklisted.
# I am discussing with the upstream of this issue.
Test-Command: exit 0
Depends: python3-pytest, python3-mp-api
Restrictions: skip-not-installable

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/materialsproject/api/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
